/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Application1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This was an auto-generated file.
 */

#ifndef ADAPTOR_H_1600720315
#define ADAPTOR_H_1600720315

#include <QtCore/QObject>
#include <QtDBus/QtDBus>
#include "contextapi.h"

class QByteArray;
template<class T> class QList;
template<class Key, class Value> class QMap;
class QString;
class QStringList;
class QVariant;

/** Adaptor class for interface org.bluez.mesh.Application1
 */
class Application1Adaptor: public QDBusAbstractAdaptor {
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.bluez.mesh.Application1");
    Q_CLASSINFO("D-Bus Introspection", ""
		"  <interface name=\"org.bluez.mesh.Application1\">\n"
		"    <method name=\"JoinComplete\">\n"
		"      <arg direction=\"in\" type=\"t\" name=\"token\"/>\n"
		"    </method>\n"
		"    <method name=\"JoinFailed\">\n"
		"      <arg direction=\"in\" type=\"s\" name=\"reason\"/>\n"
		"    </method>\n"
		"    <property access=\"read\" type=\"q\" name=\"CompanyID\"/>\n"
		"    <property access=\"read\" type=\"q\" name=\"ProductID\"/>\n"
		"    <property access=\"read\" type=\"q\" name=\"VersionID\"/>\n"
		"    <property access=\"read\" type=\"q\" name=\"CRPL\"/>\n"
		"  </interface>\n"
		""
		);

	private:
		/** */
		Oscl::Qt::DBus::BlueZ::
		Mesh::Application1::ContextApi&	_contextApi;

		/** */
		const QDBusConnection&			_bus;

	public:
		/** */
		Application1Adaptor(
			Oscl::Qt::DBus::BlueZ::
			Mesh::Application1::ContextApi&	contextApi,
			const QDBusConnection&			bus,
			QObject*						parent
			);

		/** */
		virtual ~Application1Adaptor();

	public: // PROPERTIES
		/** */
		Q_PROPERTY(ushort CRPL READ cRPL)
		ushort cRPL() const;

		/** */
		Q_PROPERTY(ushort CompanyID READ companyID)
		ushort companyID() const;

		/** */
		Q_PROPERTY(ushort ProductID READ productID)
		ushort productID() const;

		/** */
		Q_PROPERTY(ushort VersionID READ versionID)
		ushort versionID() const;

	public Q_SLOTS: // METHODS
		/** */
		void JoinComplete(
				qulonglong			token
				);

		/** */
		void JoinFailed(
				const QString&		reason
				);

		Q_SIGNALS: // SIGNALS
	};

#endif
